Bug 244141 - net/sngrep: use base ncurses
Summary: net/sngrep: use base ncurses
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-15 15:49 UTC by Steve Wills
Modified: 2020-02-17 02:20 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (tad)


Attachments
proposed patch (926 bytes, patch)
2020-02-15 15:49 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2020-02-15 15:49:56 UTC
Created attachment 211674 [details]
proposed patch

Base ncurses in all supported versions has libncursesw, so there's no need to use ports ncurses for unicode support, or make it optional.
Comment 1 Talal Al Dik 2020-02-16 01:31:47 UTC
good catch,
I've submitted a port update PR-244151 to remove dependancy to devel/ncurses
Comment 2 commit-hook freebsd_committer 2020-02-17 00:27:11 UTC
A commit references this bug:

Author: swills
Date: Mon Feb 17 00:26:19 UTC 2020
New revision: 526332
URL: https://svnweb.freebsd.org/changeset/ports/526332

Log:
  net/sngrep: allow base ncurses [1]

  While here:

  * Update default options [2]
  * Remove REINPLACE_CMD which was no longer necessary

  PR:		244141 [1]
  PR:		244151 [2]
  Approved by:	Talal Al Dik <tad@vif.com> (maintainer) [1]
  Submitted by:	Talal Al Dik <tad@vif.com> (maintainer) [2]

Changes:
  head/net/sngrep/Makefile
Comment 3 Steve Wills freebsd_committer 2020-02-17 00:27:40 UTC
Committed, thanks!